%global forgeurl https://github.com/V-E-O/rdp2tcp
%global commit 70eb3480bec960d13e045d012e16e81aa714482d
%global debug_package %{nil}
Version:        0.1
%forgemeta
Name:           rdp2tcp
Release:        1%{?dist}
Summary:        A tunneling tool on top of remote desktop protocol (RDP)

License:        GPLv3
URL:            %{forgeurl}
Source0:        %{forgesource}
Patch0:         %{forgeurl}/compare/master...Smarre:rdp2tcp:master.patch

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  mingw32-gcc
BuildRequires:  mingw64-gcc
Requires:       python2
Requires:       xautomation

%description
rdp2tcp is a tunneling tool on top of remote desktop protocol (RDP).
It uses RDP virtual channel capabilities to multiplex several ports
forwarding over an already established rdesktop session.

Available features:
 - tcp port forwarding
 - reverse tcp port forwarding
 - process stdin/out forwarding
 - SOCKS5 minimal support

%prep
%forgesetup
%autopatch -p1

%build
%make_build
env -i PATH=${PATH} make clean server-mingw32 BIN=%{name}.i386.exe CC=i686-w64-mingw32-gcc
env -i PATH=${PATH} make clean server-mingw64 BIN=%{name}.amd64.exe
#find tools -executable -type f -printf '%{_bindir}/%f\n' -exec sed -i '1s,^#!/usr/bin/env python,#!/usr/bin/python2,' {} + > tools.txt
find tools -executable -type f -printf '%{_bindir}/%f\n' -exec sed -i '1s,python$,&2,' {} + > tools.txt

%install
install -D -p -t %{buildroot}/%{_libexecdir} client/%{name}
install -D -m 644 -p -t %{buildroot}/%{_datadir}/%{name} server/%{name}*.exe
find tools -executable -type f -exec install -D -p -t %{buildroot}/%{_bindir} {} +

%files -f tools.txt
%license COPYING
%doc README
%{_libexecdir}/%{name}
%{_datadir}/%{name}/%{name}*.exe

%changelog
* Sat Sep 09 2023 Vadim Raskhozhev <iamdexpl@gmail.com> - 0.1-1.20230909git70eb348
- Initial package
